=== modified file 'Makefile'
--- Makefile	2012-03-12 17:46:37 +0000
+++ Makefile	2013-03-07 14:30:30 +0000
@@ -26,21 +26,25 @@
 JAR_FILE := $(JAR_DIR)/tapaal.jar
 
 #Set location of java home
-ifeq (exists, $(shell [ -d /usr/lib/jvm/default-java ]  && echo exists ))
-	JAVA_HOME := /usr/lib/jvm/default-java
-endif
-
 ifeq (exists, $(shell [ -d /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home ]  && echo exists ))
 	JAVA_HOME := /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home
 endif
 
+ifeq (exists, $(shell [ -d /Library/Java/JavaVirtualMachines/jdk1.7.0_12.jdk/Contents/Home ]  && echo exists ))
+	JAVA_HOME := /Library/Java/JavaVirtualMachines/jdk1.7.0_12.jdk/Contents/Home 
+endif
+
 JAVA_LIB  := $(JAVA_HOME)/lib
 
 DEPEND_DIR := libs
 DEPEND := $(DEPEND_DIR)/\*
 
-JFLAGS      := -sourcepath $(SOURCE_DIR) \
-		-cp $(DEPEND)
+JFLAGS      := -source 1.6 -target 1.6 \
+              -bootclasspath /Library/Java/JavaVirtualMachines/jdk1.7.0_12.jdk/Contents/Home/jre/lib/rt.jar \
+              -sourcepath $(SOURCE_DIR) -cp $(DEPEND)
+
+#/System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Classes/classes.jar -extdirs " " \
+
 
 # Unix tools
 AWK         := awk
@@ -52,9 +56,9 @@
 
 # Java tools
 
-JAVA        := $(JAVA_HOME)/bin/java
-JAVAC       := $(JAVA_HOME)/bin/javac
-JAR       := $(JAVA_HOME)/bin/jar
+JAVA        :=  java
+JAVAC       :=  javac
+JAR       := jar
 
 	MAINCLASS := $(SOURCE_DIR)/TAPAAL
 default: ${MAINCLASS}.class

=== added file 'run-tapaal-j6.sh'
--- run-tapaal-j6.sh	1970-01-01 00:00:00 +0000
+++ run-tapaal-j6.sh	2013-03-07 14:30:30 +0000
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+(cd release-version; /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home/bin/java -cp .:* TAPAAL)

=== added file 'run-tapaal-j7.sh'
--- run-tapaal-j7.sh	1970-01-01 00:00:00 +0000
+++ run-tapaal-j7.sh	2013-03-07 14:30:30 +0000
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+(cd release-version; java -Dapple.laf.useScreenMenuBar=true -Dcom.apple.mrj.application.apple.menu.about.name="TAPAAL" -Xdock:name="TAPAAL" -Xdock:icon=../src/resources/Images/tapaal-icon.png -cp .:* TAPAAL)

=== modified file 'src/pipe/gui/GuiFrame.java'
--- src/pipe/gui/GuiFrame.java	2013-02-16 15:52:26 +0000
+++ src/pipe/gui/GuiFrame.java	2013-03-07 14:30:30 +0000
@@ -72,7 +72,7 @@
 import net.tapaal.Preferences;
 import org.jdesktop.swingx.MultiSplitLayout;
 
-import com.sun.corba.se.spi.extension.ZeroPortPolicy;
+
 
 import net.tapaal.TAPAAL;
 
@@ -203,7 +203,7 @@
 			setLookAndFeel();
 			UIManager.put("OptionPane.informationIcon", ResourceManager.infoIcon());
 
-			// 2010-05-07, Kenneth Yrke Jørgensen:
+			// 2010-05-07, Kenneth Yrke J��rgensen:
 			// If the native look and feel is GTK replace the useless open
 			// dialog,
 			// with a java-reimplementation.

